2019-10-21 14:54 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001649FSSCPFREDpublic2008-04-06 18:54
ReporterARSPR 
Assigned Tokarajorma 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001649: +Score: 8 has dissapeared from fs2 file.
DescriptionWhile playing a little with 0001520 I've re saved "Offset Autopilot.fs2" (grab it from that report).

Then I've noticed that "+Score: 8" lines have disappeared from both Alpha 1 and Alpha 2.

I don't know if this has become a default value and then it's not needed anymore. Please confirm that FS2_Open understands it in this way.
Additional InformationI've tested:
+ Even with no "+Score: 8", you get this value in the Ship Editor.
+ If I use any other score (example 16), this line is added ("+Score: 16").

So this isn't probably a bug, but nevertheless ...
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009151

taylor (administrator)

Yeah, I noticed this too last night and had to look into it. It will not output the score if it's the same as what's specified in ships.tbl. Technically that should be considered a bug though, since it makes score = 0 in older builds loading the same mission (like 3.6.9 for instance).

I have that fixed locally though and will commit it with other FRED changes later today. I did want to check with karajorma before it hits SVN though, since that was his change and I'm not sure if he did that on purpose or not.

~0009182

Goober5000 (administrator)

From a design point of view, that's the way it should be. From a compatibility point of view... bleh. Maybe we could change it so it will only save the score if it's saving in retail format.

~0009183

taylor (administrator)

The problem is that it breaks score keeping for all builds older than 4 months if they are running a mission saved with a FRED build newer than 4 months old. It's broken behavior either way. :)

But karajorma and I have talked about it and I think the decision is to add a new tag that FRED can automatically add if the score matches what's in the tables and the game can use to to ignore the score value. This way, even if the score changes in the tables then the game and FRED will automatically update the score to match. That should solve both problems with minimal fuss.

~0009197

karajorma (administrator)

Fixed in the way Taylor described.
+Notes

-Issue History
Date Modified Username Field Change
2008-04-02 17:23 ARSPR New Issue
2008-04-02 19:28 taylor Note Added: 0009151
2008-04-02 19:28 taylor Status new => assigned
2008-04-02 19:28 taylor Assigned To => taylor
2008-04-04 15:09 Goober5000 Note Added: 0009182
2008-04-04 15:22 taylor Note Added: 0009183
2008-04-06 18:54 karajorma Assigned To taylor => karajorma
2008-04-06 18:54 karajorma Status assigned => resolved
2008-04-06 18:54 karajorma Fixed in Version => 3.6.10
2008-04-06 18:54 karajorma Resolution open => fixed
2008-04-06 18:54 karajorma Note Added: 0009197
+Issue History